"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const https_1 = __importDefault(require("https"));
exports.default = (url, file = null) => new Promise((resolve, reject) => {
    https_1.default
        .get(url, res => {
        let data = '';
        if (file) {
            res.pipe(file);
        }
        res.on('data', chunk => {
            data += chunk;
        });
        res.on('end', () => {
            resolve(JSON.parse(data));
        });
    })
        .on('error', err => {
        reject(err);
    });
});
//# sourceMappingURL=request.js.map