"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const prefix = chalk_1.default `{blue wpm} `;
exports.info = (text, logs = true) => {
    if (!logs)
        return;
    console.log(chalk_1.default `${prefix}{bgWhite.black INFO} ${text}`);
};
exports.success = (text, logs = true) => {
    if (!logs)
        return;
    console.log(chalk_1.default `${prefix}{bgGreen.black SUCCESS} ✨  ${text}`);
};
exports.error = (text, logs = true) => {
    if (!logs)
        return;
    console.log(chalk_1.default `${prefix}{bgRed.black ERROR} ${text}`);
};
//# sourceMappingURL=console.js.map